%define upstream_name Net_LMTP
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.2
Release:     	%mkrel 9
Summary:    	Provides an implementation of the RFC2033 LMTP protocol
License: 	PHP License
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Net_LMTP-%{version}.tgz
URL: 		https://pear.php.net/package/Net_LMTP
BuildRequires: 	php-pear >= 1.4.7
Requires: 	php-pear-Net_Socket
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Provides an implementation of the RFC2033 LMTP using PEAR's Net_Socket and
Auth_SASL class.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_LMTP.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_LMTP.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_LMTP
fi

%files
%{peardir}/*
%{xmldir}/Net_LMTP.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-9.mga9
+ Revision: 1817970
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-8.mga8
+ Revision: 1499111
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-7.mga7
+ Revision: 1273730
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-6.mga6
+ Revision: 944319
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 746138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 687379
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 517089
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 377017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 23 2012 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 199956
- upgrade to 1.0.2
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 1.0.1-12.mga1
+ Revision: 27955
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_LMTP

